package com.ajb.car.quotation.service;


import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.quotation.AgPoQuotationTax;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface AgPoQuotationTaxService {
	AgPoQuotationTax save(AgPoQuotationTax agpoquotationtax);
	Boolean delete (Long id);
	AgPoQuotationTax update(AgPoQuotationTax agpoquotationtax);
	AgPoQuotationTax findById(Long id);
	Page<AgPoQuotationTax> findByObjPageable(AgPoQuotationTax agpoquotationtax,Pageable pageable);
	List<AgPoQuotationTax> findByObjSortable(AgPoQuotationTax agpoquotationtax,Sort sort);
}